include "console.iol"
include "time.iol"

type Heartbeat: void {
  .serverID: string
}

inputPort In {
  Location: "socket://localhost:8000"
  Protocol: sodep
  OneWay: send( Heartbeat )
}

outputPort Client {
  Location: "socket://localhost:8001"
  Protocol: sodep
  OneWay: ack( Heartbeat )
}

execution{ concurrent }

main
{
  send( heartbeat );
  sleep@Time( 490 )();
  ack@Client( heartbeat )
}
